#
# spec file for package python3-jobprogress
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-jobprogress
Version:        1.0.4
Release:        2.6
Url:            https://pypi.python.org/pypi/jobprogress
Summary:        Cross-toolkit UI progress tracking
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/j/jobprogress/jobprogress-%{version}.tar.gz
Source1:        LICENSE
Source1000:     %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-qt4
BuildArch:      noarch

%description
When doing complex processing that has to report progress indication to the
user, things can get complex quick. Often, we don't know beforehand how many
work unit our processing will have, because knowing it depends on another work
unit for which the progress should also be reported to the user. One example of
such situation is processing files after having collected them. When we start
the process, we don't know how many files we'll collect, so it's hard to set
a maximum value on our progress bar. jobprogress handles that.

Also, most of the time, we want to run our task in a separate thread so the GUI
stays smooth. jobprogress takes care of synchronizing the threaded task and
the GUI.

For now, only PyQt is supported, but the toolkit specific layer is pretty thin,
so it should be easy to add new toolkits.

The documentation is available online at
http://www.hardcoded.net/docs/jobprogress

%prep
%setup -q -n jobprogress-%{version}
cp %{SOURCE1} .

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGES README
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Mon Oct 21 2013 tomkiewi@gmail.com
- initial package
